﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace pcd_g1
{
    class StickBombStageObject:BombStageObject
    {
        public StickBombStageObject(int x, int y, Stage stg, IStageObject  character) : base(x, y, stg, character)
        {
            KilledByBlock = true;		//trueにするとブロックで消滅
			KilledByCharacter = false;	//trueにするとキャラを突き抜けない
			Damage = 15;					//敵に与えるダメージ
			Visibility = true;			//trueにすると非表示に
			TTL = 300;					//存在時間(fps)
			sound = "";

			//サイズ
			Width = 32;
			Height = 32;

			//当たり判定
			Range = new FreeRectangleCollideRange(this);
			((FreeRectangleCollideRange)Range).Rect = new System.Drawing.RectangleF(10f, 0f, 12f, 32f);

			//移動速度
			SpeedX = 0;
			SpeedY = 15;

			//表示する画像
			picture = ImageManager.Search("884");
		}
    }
}
