﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace pcd_g1
{
    class EnergyBallBombStageObject:BombStageObject
    {
        public EnergyBallBombStageObject(int x, int y, Stage stg, IStageObject character,int speedX,int speedY)
            : base(x, y, stg, character)
        {
            KilledByBlock = true;		//trueにするとブロックで消滅
            KilledByCharacter = false;	//trueにするとキャラを突き抜けない
            Damage = 15;					//敵に与えるダメージ
            Visibility = true;			//trueにすると非表示に
            TTL = 120;					//存在時間(fps)
            sound = "";

            //サイズ
            Width = 32;
            Height = 32;

            //当たり判定
            Range = new FreeRectangleCollideRange(this);
            ((FreeRectangleCollideRange)Range).Rect = new System.Drawing.RectangleF(0f, 0f, 32f, 32f);

            //移動速度
            SpeedX = speedX;
            SpeedY = speedY;

            //表示する画像
            picture = ImageManager.Search("883");
        }
	}
}
